This documentation refers to the Shareware Edition. Some features described here may not appear in the Freeware Edition.

What is cam2pc?

cam2pc is a (more and more) complete solution to ease your everyday life with your digital camera. From automatic picture download, to organization and sharing cam2pc has all the features you may need while working with your digital pictures. And of course, the list keeps growing with every new release.

Aimed at the digital photography enthousiast, cam2pc has features for the beginners (like simple picture mailing or slideshow creation) and for the expert users (exhaustive EXIF data management, dead pixel fixing...).

This documentation will help you make the most out of cam2pc so do not hesitate to consult it if you feel unsure about something!


Version history

What's new in cam2pc 4.3
  • Added crash reporting facility
  • Updated Canon supported cameras (A80, IXUS i and more)
  • Video files can now be played in full screen viewer (even in slideshow mode)
  • Screensaver is disabled during slideshow
  • SW: Video files (.AVI and .MOV) can now be trimmed directly in cam2pc
  • SW: Video files can now be rotated (requires recompression)
  • SW: Video files can now be converted to other format (AVI, MPG and QT)
  • SW: Video files can now be added in albums
  • SW: Albums can be dropped in album window
  • SW: Video files can now be integrated in created slideshows and screensavers
  • SW: Video files can now be integrated in created web galleries
  • SW: Albums can now be exported as video files (AVI, MPG and QT) with transition effects
  • SW: A list of files (or masks) to exclude when downloading can be specified
  • SW: Created slideshows disable screensavers while they run
  • SW: Improved album selection warning
What's new in cam2pc 4.2
  • Cleaner EXIF data display
  • Fixed EXIF compatibility with Minolta 7Hi TIFF images (and probably others)
  • Fixed locking of QuickTime movies that will prevent their deletion while cam2pc is running
  • Transfered files from camera now have proper creation and modification dates
  • Thumbnail of currently downloaded picture is now shown during transfer
  • Now you can browse all the images of the same day when prompted for a description while transfering
  • Prompt description dialog is now resizable so you can enlarge the thumbnail
  • Previous download location is now saved across sessions
  • Thumbnail view can now be sorted chronologically (default order)
  • Fixed image editor icons being black on some systems
  • Preview video is now cleared when double-clicking a video to avoid double play
  • Non-existing folders can now be deleted from Favorites
  • Folders can now be opened using the Enter key
  • SW: Added Import and Export of cam2pc settings for easy configuration backup
  • SW: Custom EXIF summary in Custom Web Galleries is now saved and loaded
  • SW: Last used custom web gallery template is loaded by default
  • SW: Thumbnail or detailed view is now properly scrolled when using \"Browse to\" from album window
  • SW: Albums can now be sorted alphabetically or chronologically (reverse sort available)
  • SW: Albums can now be burned on CD (valid Ahead Nero installation required)
  • SW: More EXIF tags can be edited in the EXIF dialog (dates...)
  • SW: Easier to use \"Add comment\" dialog (compared to View/Edit EXIF)
  • SW: Image comments can be reviewed for the images in the album only instead of the whole folder
  • SW: Image comments can be reviewed from Build Slideshow or Instant Web Gallery dialogs
  • SW: Added button to preview an instant web gallery
  • SW: Added web gallery rollover effect on index thumbnails
  • SW: Slideshow running status in web galleries is now kept from page to page
  • SW: Added options to specify web galleries HTML charset to use (see Misc Options)
  • SW: Added predefined resizing values for Build Slideshow and Mail Images
  • SW: Web galleries can now be uploaded to a web server (using FTP)
  • SW: Offline contents volumes can be named how you like
  • SW: Crop ratios and lossless flag are now saved
  • SW: Crop pixel size is now displayed"
What's new in cam2pc 4.1
  • Added PTP protocol support via WIA (Me and XP only)
  • Added new 3D transition effects in slideshows
  • Added new print wizard (replaces previous Print dialog)
  • Fullscreen OSD is not fully customizable
  • Fixed bug on Windows 9x/Me that would not display any file or folder at the root of drives
  • Fixed bug that would cause some external editors not to load the selected files
  • Fixed issues with daylight savings when dealing with dates
  • Fixed freeze when expanding network nodes in the tree
  • Fixed auto-download with Canon cameras
  • Fixed freeze when creating thumbnail of a QuickTime movie when QT is not installed on the machine
  • Fixed batch renaming taking ages when thumbnail caching is on
  • Fixed fact that file renaming while transfering was not done when keeping memory card directory structure
  • Code clean up in transferers so now directory structure is properly read from various cameras
  • SW: Added print on paper templates (Avery, Kodak...)
  • SW: Added Catalog Items allowing to feed the database
  • SW: Added browsing of Offline Contents (CD, ZIP...) without inserting the media
  • SW: Added batch update of images date and time
  • SW: Added new "Remove Shadows" in Quick Fixes of Enhance Image
  • SW: Added buttons for fast black&white and sepia effects in Enhance Image
  • SW: Added Add Borders stuff in Enhance Image
  • SW: Added new Album List window for faster album selection
  • SW: Added possibility to add borders to images in batch
  • SW: Added automatic filling of EXIF Artist and Copyright when transfering images
  • SW: Refresh of thumbnails when loading an albums is now done in background (2000 and XP only)
  • SW: Album thumbnails are now refreshed if original image is modified
  • SW: When using %P when renaming files when transfering the description can now be used to fill the EXIF comments
  • SW: Images can now be added in albums from fullscreen (when opened with browser)
  • SW: Created slideshows (except PDF) can show image comments while viewing
  • SW: If images are selected in the album then only these images will be used by the next function used. This allows sending by mail only one image of an album for an instance. If no image is selected then all images are used. Added Select All menu and button.
  • SW: Exif comments now comply to standards and are compatible with other softwares
  • SW: Fixed sending mails using SMTP server
What's new in cam2pc 4.0
  • Added print feature
  • Added integration in Windows handlers (Still Image and XP Autoplay Handlers)
  • Added new Enhance Image feature
  • Added Web Gallery creation
  • Added Contact Sheets creation
  • Added creation of screensaver (with or without installer)
  • Added creation of autorun slideshows
  • Added creation of PDF slideshows
  • Added image transitions in slideshows
  • Added selection of images to download
  • Added album management
  • Added copy album to a location
  • Added real drag and drop with Explorer
  • Added histogram display in full screen viewer
  • Added DirectShow video playback
  • Added Go To Folder feature
  • Multiple image editors can now be configured
  • Clipboard is now shared with Explorer
  • Clipboard can be saved as an image
  • cam2pc automatically checks for an update at startup
  • Easier Multifile Exif editing (added navigation buttons and allowed multiselection)
  • Faster zoom in full-screen viewer
  • New bicubic full screen display
  • Improved previous bilinear display
  • New toolbar with 32-bit alpha-blended icons
  • Folder tree, preview and album are now floatable/dockable windows
  • Tray icon displayed only when it makes sense


Licensing

cam2pc exists in two versions. The Freeware Edition and the Shareware Edition. The title bar of the Image Browser will tell you if you are running the Freeware Edition. If there is no special mention in the browser's title bar then you are using the Shareware Edition.

FREEWARE EDITION LICENSING

The Freeware Edition is available for free for any non-commercial usage. If you plan to use cam2pc Freeware Edition for a commercial usage (distribution, bundling...) please contact us at info@nabocorp.com. It does not contain any nag screen, any adware or anything else. It will run for an unlimited amount of time. Some features are removed from the Freeware Edition and do not even appear at all. This makes the Freeware Edition a real usable freeware and not an Advertisement Edition. The features removed are:

  • Everything related to albums (management, mails, slideshow creations, web gallery creation...)
  • Selecting individual images to download from camera
  • Contact sheet creation (direct printing is allowed)
  • EXIF data manipulations (except viewing)
  • Custom video files thumbnail
  • Bicubic viewing mode
  • Custom Transitions
  • Enhance Image
  • Dead Pixels
SHAREWARE EDITION LICENSING

The Shareware Edition is available through registration. If you plan to use cam2pc Shareware Edition for a commercial usage (distribution, bundling...) please contact us at info@nabocorp.com. The Shareware Edition runs in trial mode when not registered. The trial mode lasts 30 days from first day of usage. If you want to use cam2pc after this 30-day trial period then you need to register your copy here. The following limitations apply during the trial period:

  • Albums cannot contain more than 5 images
  • Saving images in Enhance Image is disabled
  • An advertisement text for cam2pc is added in mails, slideshows and web galleries created by cam2pc
ACKNOWLEDGMENT

By downloading or using cam2pc you acknowledge that you have read this limited warranty below, understand it, and agree to be bound by its' terms and conditions. You also agree that the limited warranty is the complete and exclusive statement of agreement between the parties and supersede all proposals or prior agreements, oral or written, and any other communications between the parties

LIMITED WARRANTY AND DISCLAIMER OF WARRANTY

This software and accompanying written materials (including instructions for use) are provides "as is" without warranty of any kind. Further, nabocorp. does not warrant, guarantee, or make any representations regarding the use, or the results of use, of the software or written materials in terms of correctness, accuracy, reliability, or otherwise. The entire risk as to the results and performance of the software is assumed by you. If the software or written materials are defective you, and not nabocorp. or its dealers, distributors, agents, or employees, assume the entire cost of all necessary servicing, repair, or correction.

The above is the only warranty of any kind, either express or implied, including but not limited to the implied warranties of merchantability and fitness for a particular purpose, that is made by nabocorp., on this product. No oral or written information or advice given by nabocorp., its dealers, distributors, agents or employees shall create a warranty or in any way increase the scope of this warranty and you may not rely on any such information or advice.

Neither nabocorp. nor anyone else who has been involved in the creation, production or delivery of this product shall be liable for any direct, indirect, consequential or incidental damages (including damages for loss of business profits, business interruption, loss of business information, and the like) arising out of the use or inability to use such product even if nabocorp. has been advised of the possibility of such damages.

In states/countries where these restrictions are illegal, you are not allowed to use any of nabocorp. products!


Contact

cam2pc home page is http://www.nabocorp.com/cam2pc .

If you need any support with cam2pc, please point your favorite browser to the nabocorp support forums: http://forum.nabocorp.com/.

If you want to support the cam2pc Freeware Edition, please consider making a donation thru the paypal system. On the nabocorp homepage (http://www.nabocorp.com/) you will find a clickable button on the right side.


Installing cam2pc

There are no special requirements to install cam2pc. Windows 98, Windows ME, Windows 2000 and Windows XP are supported. cam2pc does NOT work on Windows 95 and Windows NT 4 and their is no plan to bring compatibility for these systems.

Follow the simple steps of the installation. By default cam2pc will be installed in your Program Files.

It is highly recommended to switch your display to a 32-bit display mode (also called "Millions of colors"). If this is not the case when you first run cam2pc, the program will tell you do so. Viewing images taken with a digital camera in any other mode does not produce the best quality. Launch the Display Control Panel from the Start Menu and go to the Settings tab. There you should be able to choose 32-bit in the Colors combo box.


The Configuration Wizard

The first time you run cam2pc, a Configuration Wizard appears. This Wizard will help you in setting up your camera in cam2pc: its type and the way you want to download pictures from it. If you choose to skip this wizard by clicking the Cancel button, you can rerun it at any time by displaying the cam2pc options and choose the Wizard button.

The wizard is self-explanatory: the purpose of each step is detailed and all the options available are described. You should take the time to carefully read those descriptions.

If you successfully run the Wizard then you can safely skip the sections explaining how to setup file transfer in this documentation.


Associating your image files with cam2pc

cam2pc can be used to display your images (JPEG, TIFF, GIF, BMP and PNG files) in a full-screen viewer. The simpler way is to associate cam2pc with those image types. File associations were prompted to you during installation but you can change them whenever you like. To change them dispay the Options and then go to the Shell Integration section. Select the associations you want to activate (or use the Select All button) and then click OK. From now on, double clicking an image file in the Explorer it will launch cam2pc.


Explorer contextual menu

cam2pc can also be configured to display an additional entry in the contextual menu that appears when you right-click on a folder in Explorer. This menu allows you to easily browse any folder with cam2pc's Image Browser directly from Explorer.

Go to the Shell Integration section of the Options dialog and click the "Integrate cam2pc into Explorer" checkbox.

Now if you right-click on a folder in Windows Explorer, you should see a "Browse with cam2pc" entry. Select it and cam2pc should be automatically run in this particular folder.


Uninstalling cam2pc

Uninstalling cam2pc is as straightforward as installing it. Select the "Uninstall cam2pc" entry in Start Menu > Programs > cam2pc or run the "Add/Remove Programs" Control Panel.

If you associated image files with cam2pc, cam2pc will set back the file associations to the state they were before you installed cam2pc.


Setting up your camera

It is very hard to list all the cameras that do work with cam2pc. A list built from the users' experience is being automatically maintained here. Keep in mind that this list is filled by cam2pc users and therefore does not represent a guarantee that cam2pc does effectively work with the cameras listed here.

Before cam2pc can download pictures from your camera you must setup your camera type. The default is to support cameras that appear as removable drives which are assigned a letter (e.g. F:\) in Explorer. If you successfully ran the Configuration Wizard then your camera type should have been automatically detected and been setup properly.

Since version 2.0, cam2pc supports camera based on the Sierra Imaging chipset. This includes:

  • Agfa: ePhoto line of cameras.
  • Epson: PhotoPC (at least 500, 550, 600, 750Z).
  • Sanyo: VPC-G200/G200EX and DSC-X300.
  • Nikon: Coolpix 700, 880, 900, 950 and 990.

If your camera uses a serial connection, you will also have to specify the COM port to which your camera is connected.

The software has been tested with a Nikon Coolpix 990. NikonView was not installed but the USB drivers (found at the root of NikonView program) were installed. NikonView will run into conflict with cam2pc so you will probably have to uninstall NikonView and reboot your computer before using cam2pc to download images from your Coolpix camera. Again I have not tested that extensively so if you do not know what you are doing then follow these recommendations.

The following Canon cameras are supported:

  • PowerShot A10, PowerShot A20, PowerShot A30, PowerShot A40, PowerShot A60, PowerShot A70, PowerShot A100, PowerShot A200, PowerShot A300,
  • PowerShot S10, PowerShot S20, PowerShot S30, PowerShot S40, PowerShot S45, PowerShot S50
  • PowerShot S100, IXY DIGITAL, DIGITAL IXUS,
  • PowerShot S110, IXY DIGITAL 200, DIGITAL IXUS v,
  • PowerShot S200, IXY DIGITAL 200a, DIGITAL IXUS v2,
  • PowerShot S230, IXY DIGITAL 320, DIGITAL IXUS v3,
  • PowerShot S300, IXY DIGITAL 300, DIGITAL IXUS 300,
  • PowerShot S330, IXY DIGITAL 300a, DIGITAL IXUS 330,
  • PowerShot S400, IXY DIGITAL 400, DIGITAL IXUS 400,
  • PowerShot SD100, IXY DIGITAL 30, DIGITAL IXUS II,
  • PowerShot G1, PowerShot G2, PowerShot G3, PowerShot G5
  • PowerShot Pro90 IS
  • EOS-1D, EOS-1Ds, EOS D30, EOS D60, EOS 10D

Version 3.1 added support for the following Canon cameras:

  • PowerShot A200
  • PowerShot S45
  • PowerShot G3
  • Digital IXUS v3
  • EOS-1Ds

Version 4.0 added support for the following Canon cameras:

  • PowerShot A60, PowerShot A70

To activate the Canon options you must first download an additional component on cam2pc website. Please check the download section of cam2pc on nabocorp website. Once you have downloaded and installed the Canon camera support component the Canon option should be enabled.

Version 4.1 added support for cameras supporting the PTP protocol. These are mainly Kodak cameras, Sony cameras and recent Canon cameras. This support only works on Windows Me and Windows XP. Please, make sure you have installed the PTP drivers provided by your camera manufacturer. Canon cameras supporting the PTP protocol can be accessed using this protocol without having to install the Canon support files described above.

Automatic camera detection is supported for USB Auto-Connect, Canon and PTP cameras. For USB Auto-Connect on Windows XP you have the choice to integrate cam2pc into Windows XP's event handler (meaning that cam2pc will appear in the list of available applications that Windows XP displays when a camera is connected) or to use the old style camera detection (that needs cam2pc to run permanently on your machine). For Canon and PTP cameras, the only way to support detection is to integrate in the list of applications that Windows (98, Me, 2000 and XP) displays. Sierra Imaging based cameras cannot be automatically detected.

For Canon and PTP cameras you might want to perform this addition check step : go to Start > Setting > Control Panel. Then go to the "Scanners and Cameras" panel. Select your camera and click the properties panel. Go to the Events tab and select the "Camera is detected event". cam2pc should be listed here: select it if this is the case. If cam2pc is the only application selected then it will be run automatically the next time you plug your camera in. If several applications are selected then a small dialog asking you to choose between the different applications will appear on camera connection (although there seems to be a bug on some systems: if the dialog does pops up and does not contain any application then you'll have to select only one application in the Control Panel. This is NOT a cam2pc bug).

If automatic detection is enabled then as soon as you plug your camera, cam2pc will display the Download dialog (if cam2pc is already running). To differentiate your camera from other removable devices, cam2pc will look for a particular folder on the device. The default value (DCIM) should work for all the standard cameras but you can always change this value in this dialog.

For USB Auto-Connect cameras you can also automatically unplug it at the end of the file transfer. Check the "Unplug USB..." option and click the Setup button next to it. Make sure your camera is plugged in and switched on while doing this. A window with the list of removable USB device appears. Select the one that matches your camera (my Olympus camera appears as "USB Mass Storage Device @ C-200Z/D-510Z" while a friend's Fujifilm appears as "USB Mass Storage Device @ USB Mass Storage Device") and press OK.

The other options available allow you to:

  • automatically overwrite any existing file when downloading pictures without confirmation (use with care)
  • start the download right after camera detection without allowing you to review your settings


A simple download

Now that our camera is configured we will download our first images. Connect your camera and run the downloader if needed (if your camera is detected the downloader should run automatically). The following window appears:

The top of the window sets what we want to do: copy or move files from a location (here a auto-connect device that was assigned the F: letter) to a directory. For you first transfer it is recommended to select a Copy operation to make sure you do not lose your pictures. Once you are familiar with cam2pc you can switch to "Move".

By default, the destination is set to the My Pictures folder. You can change the destination by clicking the folder button on the right and choose an existing folder. Also, you can type in directly the name of a folder in the text field. If you specify a directory that does not exist, it will be created for you automatically.

The source text field is disabled for Sierra-Imaging based cameras and Canon cameras.

Then you can specify if you want to keep the folder hierarchy defined on your memory card. You should leave this to Flatten as most cameras do not support folder creation on the memory card. If you camera does and you care about this then simply switch to "Keep directory structure".

If you do now want to select all the pictures on your camera then check "Let me select...". In that case a dialog will appear showing thumbnails for all the images found on your camera. You are able to individually select which ones you want to download. For a faster process you can also select or deselect images simply by clicking on the date items in the upper right corner.

The last pane indicates what you can do once you have transferred your images:

  • Close the download dialog
  • Set the read-only attribute on transferred files to avoid unwanted file deletion
  • Fix dead and hot pixels (see Dead/hot pixels removal)
  • Transform images based on EXIF orientation tag (see Rotate and Flip)
  • Browse the transferred images in the Image Browser
  • View the transferred images in the full-screen viewer (you can also start the slideshow immediately)
  • Open the folder to where the images were transferred in Explorer
  • Launch the associated application (of course this does not make sense if you associated image files with cam2pc).

You can select any number of theses actions. They will be executed sequentially: if you choose "Browse" and "Full-screen viewer" then full-screen viewer will not appear until you close the Image Browser.

Once you have set all these options, then simply click the OK button. The image will be copied or moved depending on your choice and the actions you selected will be performed.

Click the Close button to hide the dialog without transferring pictures or at the end of a transfer if you did not select the "Close this window" option.


Using masks

The real power of cam2pc is to be able to create destination directories for your pictures based on switches.

The benefit of masks is that you start to organize your images as soon as you transfer them to your PC. The available switches allow you to easily format a date in the new name and also have a free text range in it. If you successfully ran the Configuration Wizard then the mask should have been automatically setup. Still, you can tweak the settings defined by the Wizard.

For instance, you could use the following mask: [%Y-%m-%d] %P. The advantage of this mask is that your images will be sorted chronologically in Explorer (see the Image Browser screenshot later).

When you transfer your images, %Y will be replaced by the current year on 4 digits, %m by the current month on 2 digits and %d by the current date on 2 digits. %P will be replaced by a text you will be able to enter when you transfer. Of course, each time you transfer new images you will be prompted for a new text for the %P switch. The prompt window looks like:

A thumbnail is displayed so you can quickly identify the pictures you are transferring and set the appropriate description. Unfortunately, most camera makers do not include thumbnails in TIFF images and as these images are very quite big, it would not make sense to transfer the whole image just to display a thumbnail.

Therefore if you transfer pictures on the 23rd of June 2002 that you shot say in Paris, you will enter "Paris" when prompted and cam2pc will automatically create a new folder called "[2002-06-23] Paris".

Most of the time, you will not want to use the transfer date to initialize but the date that the pictures were shot. In that case, you can put all the pictures located on your memory card in the same directory whatever the day they were shot by selecting "Initialize date with first picture date". Of course you will still be prompted for a description if you used the %P switch.

You can also want to group pictures by day of shooting. Select the last option: "Get date for each individual picture". In that case cam2pc will prompt you for a description for each different day of shooting of your images.

You can click the "OK for remaining" button in the prompt window if you want to use the current date and description for all the remaining images. You can also click the "Recall" to re-use the previous day and description.

For instance suppose you shot pictures in Paris on the 23rd and 24th and pictures in London on the 25th, 26th and 27th of June, 2002. Suppose also that you want to put all the Paris images in one folder and all the London pictures in another one. In that case you will enter Paris in the description for the first set of images (23rd). Then when prompted for the images taken on the 24th, click "Recall" and then "OK" as we want to use the same folder. Then for the 25th enter London and here you can click "OK for remaining" as all the remaining images will be put in the same folder. If you used the mask defined above then two folders will be created by cam2pc: "[2002-06-23] Paris" and "[2002-06-25] London".

And that’s it, your images are automatically organized for you in folders named with understandable descriptions and all you had to do is to provide those descriptions!

All the available switches appear in the above screenshot. The menu of the screenshot was displayed by clicking on the small arrow button. Each switch is described in the menu.


Renaming Files

You may also want to rename files as they are transferred. Renaming works the same way as Masks do except you have some more switches. If you successfully ran the Configuration Wizard then the renaming should have been automatically setup. Still, you can tweak the settings defined by the Wizard.

The additional switches are ones that will be replaced by the original name and/or extension of the image being transferred. You also have switches that allow you to use EXIF information to rename your files.

Also you can have cam2pc automatically number your images for you. Use the %{num:} switches. The one with the "a" specify that the number should be automatically padded by cam2pc. If you transfer 99 images, cam2pc will number them from 01 to 99, if you transfer 100 images, the numbers will range from 001 to 100. The other version allows you to force the padding length to a desired value. If you want to always have 4 digits whatever the number of images transfer, then use %{num:4}.

If you use numbering, you should leave the "Keep record" to avoid duplicates" enabled especially if you transfer your pictures always to the same directory. In that case cam2pc will record the last number used when it transferred your images. The next time you transfer images to the same directory, cam2pc will use this record to start numbering your images to avoid conflicts. For instance a first transfer could have created files image01.jpg to image04.jpg. The next transfer will automatically start at 5 creating image image05.jpg and following"

If you do not want the numbering to start over with each directory select the "Use a global counter" option. In that case cam2pc will increment the counter for each image wherever it is transferred to. You can change the value assigned to the next transferred image by changing the "Next ID" value. When you do this you should take care to not use an already used number or you may get into filenames conflicts. This option is useful for owners of cameras that are not able to keep the numbering from one session to the other like the Fujifilm S602.

If you use the %P switch, you will be prompted only once for all the images. Entering a description for each individual file could take a long time especially after a 3 week holiday in Europe! If you use the %P switch then cam2pc is also available to use the description entered for each image to fill the EXIF comments. The also available %p switch will use the description you entered for the folder where the image is put. For instance if the image is going to go in the "[2003-04-05] Paris" folder and you used "%p %{num:3}.%e" renaming mask then your files will be renamed "Paris 001.jpg", "Paris 002.jpg" and so on...


Miscellaneous transfer options

Filling EXIF fields on the fly

One option available to you when transfering files is to automatically fill some EXIF fields on-the-fly. This allow you to make sure that all your pictures do have some mandatory information in them. Currently supported EXIF fields are Artist and Copyright.

Simply check the boxes you want to fill and enter the text you want cam2pc to put and that's all!

Exclude files while transfering

In some cases you might want cam2pc to not download some files from your camera. For instance, some cameras save their configuration on the memory card and you may not want to get those files. You can specify as many wildcards as you want to tell cam2pc which files should not be downloaded.

If you want to exclude some files by their extension you can specify *.ctg as the exclusion mask (replace of course ctg by the extension of your choice).

If you want to exclude a whole directory, specify *\cfg\*.* as the exclusion mask (replace of course ctg by the directory name of your choice).


The Image Browser

The Image Browser is used to navigate through your folders and display your images.

Notice in the tree (on the left side) how all my images were organized using cam2pc

The Image Browser is really simple: on the left side appears a tree showing all drives (local and network). For easier access, the tree also shows a shortcut to your "My Documents" and "My Pictures" folders. You can navigate through the directories as you would in Windows Explorer. On the right side is the Image Browser which displays thumbnails for all the images located in a selected folder. Simply click on a folder in the tree and the Image Browser will be updated. You can change the type of files listed in the Image Browser in the options: you may choose between Images only, Images and movies or All files. If you choose All files, then you can double-click on any file to have it run its associated application. Under the tree is a preview area which will display the current image or movie selected.

You can switch the thumbnails view to a details view. In that case your images will be listed and you will be able to quickly see important information about each image: file size, image dimensions, image format and EXIF information (such as Exposure, Focal Length...). You can customize the columns you want to display in the details view by right-clicking on the column headers.

By default, thumbnails of the Image Browser are cached on disk. The first time you visit a folder, cam2pc has to create a thumbnail for every image in that folder. The process is fast but can take some time if there is a lot of images. The next time you visit the folder, cam2pc will use the thumbnails stored in its database and therefore all the thumbnails will appear very fast.

You can change the respective widths of the tree and Image Browser by dragging the vertical bar that separates them. You can also hide the tree in the View menu and have the Image Browser occupy the whole width of the window. In that case you might also want to enable the display of folders in the Image Browser so you can still easily navigate through your folders.

If you right-click on a folder in the tree, a contextual menu will appear offering different choices like creating a sub-directory to that folder, renaming it or deleting it.

You can also force the update of the thumbnails of that particular directory. In that case, cam2pc will simply throw away the thumbnails it already has for the images and create new ones.


Working with your images

You can select images in the Image Browser and perform some actions on them. Clicking on an image will discard any previous selection and select the clicked image. You can also click and drag in the Image Browser to select multiple images at the same time. After having selected an image you can Shift-click another one to have cam2pc select all the images between those two images.

If you hold the Control key when performing one of those operations, cam2pc will not discard the current selection but will instead add the selected images to the selection. You can also press Ctrl+A to select all the images, Shift+D to select all the images shot at the same date as the one currently selected or press Shift+Ctrl+A to select all files (sub folders, images, movies...).

To perform actions in the Image Browser you can use the standard menu, the contextual menu or the keyboard shortcuts listed on the right of each command in the menus. You can also use the toolbar which contains shortcuts to the most-used commands. The set of icons displayed can be customized by right clicking on the toolbar and choosing Customize or by selecting Customize Toolbar in the Options menu.

The actions you can perform on the selected files depend on the type of files and the number of items selected: obviously you cannot set two images as your wallpaper so if several images are selected the "Set as wallpaper" command will be disabled.

If you move the mouse cursor over an image and then leave it over without moving, a small window will appear listing some information on the file (name, file size, creation date, image format, image size)..

If you right-click on an image, the 3rd line of the contextual menu will display "Edit Image(s)". Select the option: if you have not done it yet, cam2pc will allow you to define external image editors. You can use any Image Editor you like (Photoshop, Paint Shop Pro...): browse to the installation folder of this package and choose the right program file. Once Image Editors are defined, the selected one will be launched and set to open all the selected files.

If you right-click on a movie file (.avi, .mpg or .mov), the 3rd line of the contextual menu will display "Set thumbnail". Select this option to allow to customize the thumbnail that appears for this videu file by choosing any frame of the movie that make sense.


The clipboard

Copy/Cut/Paste files

For a fast copy or move of files you can use the clipboard. Simply select your pictures and select Edit > Copy if you want to copy the files and Edit > Cut if you want to move them. A little icon will appear in the lower-right corner of those images to indicate that they are in the clipboard. Then use the folder tree to go to the destination folder and simply select Edit > Paste.

You can also copy/cut/paste files from Windows Explorer to cam2pc or the other way round.

Images in clipboard

If a bitmap is present in the clipboard, you can save its contents to disk. A first window will appear showing you the content of the clipboard and then you will be able to save the picture to disk using one of the supported formats. If you want cam2pc to tell you as soon as an image is copied to the clipboard enable the "Watch clipboard for image" option.

Sometimes you may also need to copy the content of an image to the clipboard (and not copy it as a file). To do this, simply select the image you want to copy and choose "Copy image content to clipboard". You can then paste the result in any image editing software for instance.


Finding your images

cam2pc does not yet have a tool to search images but if you properly name the folders where you put your pictures, then the Go To Folder feature will we of great help. Open it in the File menu or by pressing the Ctrl+G shortcut:

When the window opens the focus is directly set to the search edit box. Start typing the begining of a word contained in the folder name you want to go to. In the screenshot we want to go the "Mont Boron" folder so we typed "bor". The results are automatically updated! When we had typed only "bo" 3 results were displayed and but as soon as we typed the "r", the 3rd result was discarded and only the two results appear. If we wanted to go to the "Bordigheira" folder we would just hit the Enter key and the Image Browser will go to that location. But as we want to go to the second result, we hit the down arrow key and then the Enter key. Once we have reached the folder we wanted to go to, press the Escape key to close the window or hit the button next to the close button in the title bar to collapse it.

To tweak the way this feature works, click on the arrow next to the Options title. The window grows in size and the options are now visible. You can change the root folder ie. the folder from which the search will be performed. If you select the root of your drive (eg. C:\) and enable the recursive option then the searches can take some time. In that case it is recommended to at least uncheck the "Update results..." option. You can also change the type of matching for a more precise search.


Batch renaming

Batch renaming allows to rename several files at the same time following the same scheme. A number of predefined options are proposed to you. You can also customize to your needs the way files are renamed. If you want to make a slight difference to one of the predefined options, select it and select custom. The mask used for the predefined option will now be editable and you can tweak it the way you want it.

Batch renaming works the same way as renaming on the fly does: it uses the same set of switches. In custom mode click on the arrow button on the right of the new name field to get a list of all the switches available. The switches are gathered into categories to ease their access in the menu. If you are not sure of your mask then click the Preview changes button: cam2pc will show you how each image will be renamed so you can make sure your mask does what you want it to do.

For instance in the "Masj" field specify: DSCN%{num:4}.%{EXT}. Choose a number from which to start. Suppose you have the files Paris.jpg, London.TIF and Madrid.Bmp. Then the three files will be respectively renamed to: DSNC0001.JPG, DSCN0002.TIF and DSCN0003.BMP.

The batch renaming feature of cam2pc is very powerful and lets you rename your pictures exactly as you want!


Rotate and Flip

cam2pc supports JPEG lossless transformations. It means that when it needs to rotate a JPEG image, it does not need to decompress the image, rotate it and then recompress it. This would lead to a quality loss and should be avoided.

If the images you selected cannot be losslessly rotated (non-JPEG files or JPEG files which do not match the lossless criterias) then you will be prompted whether or not you want to perform a lossy transformation.

Some cameras write the orientation of the camera when each photo was shot. To determine this, take a picture with your camera holding it not the normal landscape way. Then transfer your picture and display the EXIF metadata for the picture. Look for the value of the [Orientation] tag. If its value is 1 then your camera does not support this feature. If its value is different is different than 1 then you can use the "Auto-transform" feature that will automatically turn your pictures to the right orientation!

In this case, you can even activate the "Auto-transform" feature at transfer time...


Batch conversion

cam2pc allows you to convert images in batch. Converting an image is the process of saving images to another image format. You may wish comvert your TIF files to JPEG to save some disk space for instance.

If you do not check "Rename" or "Output to", your images will be replaced by the converted ones. To avoid that, you can:

  • Rename the images by adding a prefix and/or a suffix to the original image (e.g. rename image01.jpg to image01_small.jpg)
  • Output the converted images to a different directory. Click on the folder button to browse your computer for a destination folder.

Of course, you can rename and output to a different directory at the same time.

The last option allows you preserve EXIF metadata when doing the conversion. Keep in mind that only TIFF and JPEG file formats are able to store EXIF metadata.


Batch resizing

cam2pc allows you to resize images in batch. This comes very handy if you want to publish your images on the web and need to resize them so that people can download them on a standard dial-up connection.

You can resize images in many different ways. One thing you might always want to do is to keep the aspect ratio of your images. So you will either specify a target width or a target height and check the "Keep ratio" option for the other dimension.

For instance you might want that all your pictures are 640 pixel wide so you specify 640 pixels in the Width text field and you check the "Keep ratio" option on the Height line.

The problem in doing this is that landscape images will usually be resized to something like 640x480 as they are wider than tall. But for portrait shots it is the contrary: they are taller than wide and as we keep the aspect ratio they will be resized to 640x968 which is much bigger than what we planed.

In that case you can resize images along the largest dimension. If you specify 640 for the largest dimension, landscape images will be resized to 640x480 and portrait ones to 480x640. The largest dimension is always set to 640 thus all our images do have the same size in surface.

If you do not check "Rename" or "Output to", your images will be replaced by the resized ones. To avoid that, you can:

  • Rename the images by adding a prefix and/or a suffix to the original image (e.g. rename image01.jpg to image01_small.jpg)
  • Output the resized images to a different directory. Click on the folder button to browse your computer for a destination folder.

Of course, you can rename and output to a different directory at the same time.

In most cases you should leave the Resizing method to Bicubic. The Fast method will produce bad quality images but will be very fast. The Bilinear option will produce in-between image quality in a very short time too. If you resize your images to very small thumbnails (less than 100 pixels) then you can switch to Lanczos or Mitchell which will produce higher quality results but are much slower.

The output format is set by default to the same at the input images. You can force a format conversion at the same time of the resizing.

The last option allows you preserve EXIF metadata when doing the resizing. Keep in mind that only TIFF and JPEG file formats are able to store EXIF metadata.

Finally the preview file sizes button will allow you to check the final size of each image. This comes in handy if you want to publish the pictures on the web and make sure they will not be too heavy to download for your visitors.


EXIF metadata

cam2pc is able to display EXIF metadata. EXIF metadata are special tags embedded into images by digital cameras indicating information about the shooting: date and time, resolution, exposure setting, white balance setting, ISO rating...

EXIF data also contains a thumbnail image. This thumbnail image is built by your camera at time of shooting. Some software (including earlier versions of cam2pc) did not update properly this thumbnail when updating the image. The thumbnail may therefore not reflect the current state of the image. cam2pc allows you to update the thumbnail. You may also want to discard the thumbnail which saves some disk space (~10KB for a picture).

EXIF data also contains a free comment field. cam2pc allows you to edit this comment and enter whatever text you like. This comment is displayed in the details view of the Image Browser. Future versions of cam2pc may use this comment field for Web publishing for instance.

The "Prev" and "Next" button allows you to navigate in the images of the folder so if you want to add comments to all the pictures of a folder simply display the EXIF tags for the first image and then use the "Save and Next" button to go to the next image of the folder.


Advanced EXIF data manipulation

cam2pc 3.1 introduces a set of new features aimed at managing the EXIF metadata embedded with images. These features are quite new and have been tested on as much image files as possible but there is still a possibility that some special file formats might not be recognized properly. In that case, cam2pc may corrupt your images making them impossible to be read back. That's why it is more than highly recommended to test this set of features on a backup of your images in order to make sure that cam2pc is compatible with your pictures. If you find cam2pc to corrupt your images then please contact nabocorp so we can add your images to our test database and make sure cam2pc works with them! As stated in the license agreement, nabocorp cannot be held responsible for any data loss.

In order to save some bandwidth when you send images or whatever, cam2pc is able to discard the EXIF thumbnail of the selected images. You can save even more bandwidth and discard the whole EXIF metadata for the selected files. Those two options can be found in the Image menu.

The EXIF thumbnail embedded in the image is rarely updated by image manipulation tools. Some tools (like cam2pc) use this thumbnail to create the Image Browser thumbnail. In that case the thumbnail extracted by cam2pc will not reflect what the image looks like. You can have cam2pc update the EXIF thumbnails of the selected images by choosing this option in the Image menu.

Last set of advanced EXIF manipulation fonctions is the ability to save EXIF metadata to disk and to load it back from disk. This is useful is for instance you plan to edit an image in a tool that you do know does not preserve EXIF metadata (like Adobe Photoshop 6.0 or earlier versions). In this case, just save the EXIF metadata to disk, retouch your picture and reload the metadata from disk!


Updating date and time of images

This feature allows you to update the date and time of your pictures. It is useful if for instance following a battery outage you shot some pictures and a wrong date and time was set in the camera. In that case all the dates of your pictures are wrong and you may want to update them.

The first thing to is to choose among the selected pictures a reference. The reference should be the image for which you are the most certain about the real date and time it was taken. Select your reference in the list on the left. Its date and time should be displayed. Adjust the date and time to the values you think are valid.

By default all images will be redated relatively to this reference. If a picture was taken 10 minutes before the reference then it will keep this offset to the reference after the operation is performed. You can choose to set all the pictures to the same date and time if you want. Then you can choose which fields you want to update. The first two are related to Windows (these values appear in the File properties for instance) while the remaining one are more digital photography related.


Enhancing images

cam2pc also allows you to perform basic retouching of your pictures. This will allow you to compensate for common issues in pictures taken with digital photography: under or over exposure, red eyes, bad framing... Simply select an image in the browser and choose Enhance Image in the Image menu or in the contextual menu. The following window appears:

Your picture appears and on the right all the tools available. Quick Fixes include automatic processes that can instantly enhance your image. All the other options are self explaining. Over your picture you can see three tabs that allow you to change which image is displayed (before retouching or after or both at the same time to compare the improvements). You can change the zooming factor using the buttons below the picture and quicly rotate it. The next button allows you to open the image in the first Image Editor you configured.

The quick fixes processes are:

  • Auto Levels: tries to compensate for exposure issues
  • Auto Color: tries to compensate for color issues for instance when your image has a general blue cast
  • Auto Contrast: tries to compensate for contrast issues
  • Sharpen: runs a filter called unsharp mask that allows to highlight details in the image without augmenting the noise

Brightness / Contrast and Saturation are real simple: just move the sliders and see the effect on your image

When you switch to Red Eye a selection rectangle appears over the picture. You should move it and adjust the handles to surrender one or several red eyes in the pictures (fixing one eye after the other generally brings better results). Once you have positionned the rectangle properly click the Apply button. If after having changed the zoom factor or having moved the image you do not see the rectangle anymore click the Show Selection button to put it back at the center of the view.

Switching to crop also shows a rectangle that you also have to move around the picture to designate the part of the image you want to keep. If you are cropping your images to print them, you can choose one of the aspect ratios listed to make sure the crop rectangle matches the print aspect ratio.

JPEG images can be losslessly cropped: cam2pc does not have to recompress the JPEG image to crop it. Of course this is possible if the only operation you performed while enhancing your image is a crop. But to perform this, the rectangle must match certain constraints. Check the lossless cropping box to make sure the rectangle satisfies these constraints. In that case the rectangle used to perform the crop might not exactly be the one you designated.


Dead/Hot pixels removal

If you want to follow a quick tutorial on this feature then download and unzip this file (1 Mb download) and read the tutorial.html included. This tutorial does not cover all the aspects of the feature and it is still recommended to read the documentation. Though it quickly shows all the benefits of using the dead pixel removal feature of cam2pc.

Dead or Hot pixels are pixels that are defective on a digital camera. The way they affect your images may vary depending on the nature of the defect and the camera itself. For instance, all my pictures do exhibit a small green area next to the upper-left corner of my images:

Fixing this can take a long time: you have to open each picture in an Image Editor, retouch it so restore the image then save it. Also if your images are in the JPEG format, you'll recompress the whole image thus loosing additional information because of the lossy nature of the JPEG algorithm. To avoid this you could always save the image to TIFF or to a 100% quality JPEG but the images will be bigger and eat more of your disk space.

cam2pc has all you need to perfectly fix those images without any of these issues: cam2pc is able to automatically fix your images and then save them to their original format. Moreover, if the image was JPEG then cam2pc is able to only recompress the small part of the image that was retouched leaving all the rest (meaning 99% of your image) completely untouched and not recompressed.

To simply illustrate this here are two images. The first one is the difference between an original image and the retouched one saved as 100% quality JPEG file. A black pixel means that the two images were identical for that particular pixel. Any thing other than black means that the two images were different at that position. The second image is the difference between the original image and the one retouched with cam2pc.

I think those images speak for themselves. Notice the only non-black small area in the cam2pc retouched image in the upper left corner exactly where our green area resides... Also let me list you the file sizes:

  • Original: 695 250 bytes
  • Manually retouched: 808 731 bytes
  • cam2pc retouched: 695 176 bytes

Okay now that you have understood the huge benefit of using cam2pc to remove the dead pixels of your images, let's see how to use it.

The best way to setup cam2pc is to shoot a picture with the lens cap on to get a "black frame". If your camera does not have a lens cap you can hold the lens against a black cloth to get as little light as possible. In both cases you should manually disable the flash. You should take a picture for each resolution that your camera supports. You can even take a picture for each resolution and each compression level that your camera supports. I know this can lead a big number of pictures but you'll have to do this only once and this gives the best results!

Another way to setup cam2pc is to select a set of images of identical resolution. You should select at least 10 different images. This method is easier to use but takes longer to process and can lead to unpredictable results... If it does not work properly this way then you should use the black frame method.

So now that you have your pictures click the Add button in the Dead Pixels dialog. If you use the black frame method then select one of the pictures. If you use the multiple images method then multiple select all the images. Click OK. cam2pc will process the picture(s) and automatically detect the dead pixels in them. Once it has finished, cam2pc tells you the number of dead pixels found and asks you to review them. If the number looks unrealistic then press Cancel to discard result. If you are confident in cam2pc then choose not to review the dead pixels.

If you choose to review them you will be presented with the picture you used with the dead pixels highlighted. You can use the Page Up and Page Down keys to toggle the highlighting of the dead pixels. Press Escape when you are finished. cam2pc now asks you if you want to keep those dead pixels or not. You can always manually remove unwanted dead pixels so if you see a small number of unwanted ones then keep those dead pixels: you'll manually edit them later.

If you chose to keep those dead pixels, cam2pc needs to know for which image those dead pixels are valid. The default value is the safer and assumes that you have taken one picture for each resolution at each compression level. If this is not the case the go up in the options. The upper you go the less safe it is...

Repeat the process for each black frame picture or set of images that you have. You can restrict this to the resolutions you use on your camera: if you never shoot in 640x480 then no need to detect the dead pixels for that resolution...

If you want to manually edit the list of dead pixels press the More button and select one of the resolutions in the list box. All the dead pixels found for that particular resolution will be listed and you'll be able to add or delete pixels.

Once this is done, you have to choose how the image should be processed: replace original images, output to another folder, rename... Those options are pretty much self-explanatory.

Once you have setup everything click OK. Select some images that you want to fix in the Image Browser and select Process Dead Pixels. cam2pc will automatically find the right dead pixels list for each image depending on the resolution and the compression level. In a few seconds all your images will be processed and fixed. If cam2pc does not find any matching dead pixels list for an image, it will leave it untouched.

You can also activate the Dead pixels removal feature while transferring pictures from your camera to your PC. Using this, will make you completely forget about the defect of your camera as all your images will get to your PC already retouched without image quality loss!


Printing images and contact sheets

From cam2pc you can choose three types of printing:

  • Print one image per page: perfect for printing photos on 4x6 paper for instance
  • Print several images per page: associated with a paper templates made by Avery for instance
  • Print contact sheets: to easily remember how your pictures are stored on your disk

The printing feature of Digital Photos For Dummies works like a wizard. The first screen lets you choose the type of printing and setup your printer options: paper format (that is to say the type of paper you are going to use), print quality and orientation. If you have several printers installed on your computer you can select the right printer to use by clicking on the Choose button.

Single-photo sheet

This printing is used to print one picture on a page. Generally you will fill the page with the picture but some preconfigured formats are available to you if you want to make sure that your picture is of a certain size: for instance you may want to use it as a CD Label. Of course, if you choose one of these formats then the paper size selected in the first screen must be able to hold that size!

The options let you customize how your pictures will be printed in the template. The fitting option lets you select how your pictures will be resized to fit the space provided. No scaling means that the picture will be printed in its exact resolution. Most of the case the image will have to be cropped to fit the space. Scale to fit may let white strips appear on the sides of the image if its aspect ratio does not match the aspect ratio of the space. The last option (Scale and crop) ensures that the whole space will be filled by the picture, but some part of the picture might be cropped to satisfy the aspect ratios requirements.

Multi-photo sheet

Use this option when using a paper template bought in a store. Supported brands include Avery, Kodak and RankXerox for instance. First select the brand of your paper in the first combo. The list of type papers supported for this particular brand will be used to fill the Type list. Browse the type list until you find the good paper. Use the thumbnails to ease the search. Pay attention to the fact that the paper type you choose here must match the paper format you chose in the first screen of this wizard. If you selected Letter format on the first screen then you won't be able to use a A4 paper made by Avery for instance. If you do not find your paper you can choose the custom type and set the number of rows and columns manually.

The fitting options work the same way as they work in the Single-photo sheet printing type.

Contact sheets

Contact sheets are ideal to keep track of your pictures stored on disk. Contact sheets allow you to print additional information under each picture like the filename or the comment you added to your pictures. Choose the number of rows and columns of your contact sheets and you are done!

Clicking the Options button you can also access additional settings:

You can choose the font to be used for the various text displayed on the page. You can define a header with separate left, center and right part and same thing for the footer. Finally you can customize the level of details for the label of each image. For the header and footer, the following switches are available:

  • %{path}: full path of the images (eg. C:\My Document\My Pictures\[2002-04-01] Las Vegas)
  • %{dir}: name of the folder of the images (eg. [2002-04-01] Las Vegas)
  • %{page}: current page number
  • %{total}: total number of pages


Creating contact sheets

Creating a contact sheet allows you to create index image files of your folders. This allows you to quickly identify all the pictures of a folder just by looking at your contact sheets. It is very useful for finding one picture based on its contents. As an image is created you have to specify the folder and the name where it should be created. Also the image size of the contact sheet must be specified. When naming your contact sheets use #'s to indicate where the numbering will be placed. In the screen above the contact sheets will be named _index0001.jpg, _index002.jpg...

Contact sheets can be customized. You can of course choose the number of rows and columns but by clicking the Options button you can also access additional settings:

You can choose the font to be used for the various text displayed on the page. You can define a header with separate left, center and right part and same thing for the footer. Finally you can customize the level of details for the label of each image. For the header and footer, the following switches are available:

  • %{path}: full path of the images (eg. C:\My Document\My Pictures\[2002-04-01] Las Vegas)
  • %{dir}: name of the folder of the images (eg. [2002-04-01] Las Vegas)
  • %{page}: current page number
  • %{total}: total number of pages


Adding borders

Adding borders to an image can greatly improve the way they look. This feature allows you to add borders to a set of images in batch. Here is an example of what you can do with this feature:

In this picture you can see that we added 4 "borders":

  • A first external black border
  • A second external white border
  • An internal white border with a transparency effect
  • A black drop shadow over a white background

You can choose which border you want to add. You can only add a drop shadow for instance if you wish to. For each border you must specify the size of the border and its color. The size can be expressed in pixels or in percentage of the size of the image. For the inner frame you can also specify its transparency between 0 and 255, 0 being opaque and 255 completely transparent. For the drop shadow you must also specify the background color against which the drop shadow will be drawn.

There are several ways to tell where to ouput the resulting pictures. If you just want to overwrite the original pictures you can uncheck all the boxes in the Destination section. Otherwise check Rename or Output to or even both. If you chose not to overwrite the original pictures you can still choose to delete them if you do not longer need them.

Last section lets use specify the image format of the new images. By default, the original format of the image will be used: if you added borders to a JPEG file then the resulting image will be saved in JPEG, if you added borders to a TIFF file then the resulting image will be saved in TIFF. You can override that and force that all resulting images be saved in the format of your choice. When saving to JPEG files, you can specify the JPEG quality level: 0 means a highly compressed file of very bad quality while 100 means a big file size but with high quality.


Working with movie files

More and more digital cameras allow you to shoot small movies. These movies do not have a big resolution and generally cannot be very long but this is still a nice feature. cam2pc brings unique features to manage those small movies. To access those functions, right-click on a movie file in the Image Browser, and display the "Edit Movie" popup.

Set Movie Thumbnail

cam2pc uses a default frame (the frame at the middle of the movie) to create the initial thumbnail for a movie. This frame may not be relevant and you may want to use another one. Once the Set Movie Thumbnail dialog is displayed, seek to the frame you wish to use (you might want to pause the movie to ease the task). Once you are on the right frame click the OK button and that's it!

Cut Movie

Often when you shoot a movie, nothing happens during some part of it. Cutting out these parts makes your movie more enjoyable for future viewing. Select the Cut Movie menu entry. By default your whole movie is selected. You can see its duration under it. You can seek to the positions you wish and use the Set Start and Set End buttons to change the part of the movie you want to keep. For AVI and QuickTime formats, cam2pc can do a lossless cropping by just extracting the relevant information from the original video files but you may also want to recompress it to another format as most digital cameras do not use any compression scheme when storing video so you end up with very big video files. For MPEG-1 files, cam2pc is not able to perform this lossless cropping and recompression is mandatory.

Once you have set the start and end of your selection as you wish. Click the OK button. If you selected "Convert format", the convert movie dialog (see below) will be displayed. Othersiwe you'll be able to give a name to your cut video.

Convert Movie

Converting a movie is a matter of recompressing the video frames and soundtrack of an existing file to another format. cam2pc supports AVI, MPEG-1 and QuickTime formats. For AVI and QuickTime formats, all the codecs installed on the machine are available. For more details about codecs please refer to the Creating video files page. When converting movie the final video width, height and framerate are taken from the original file so you should not have to modify these values.

Rotate Movie

To rotate a movie, cam2pc must extract every single frame of the movie rotate them and rebuild a movie out of the rotated frames (of course keeping the soundtrack). That's why when you select one of the rotation commands, you will be shown the Convert Movie dialog. The width and height will have been exchanged to reflect the change of orientation of your video file.


Thumbnail database

Managing your database

By default, thumbnails are cached in a database in order to speed up browsing. You can disable this behavior (which takes some hard disk space) by going to the Browser tab in the Options dialog.

If you enabled the thumbnail caching then you might want to optimize the database from time to time. When you delete images, thumbnails are not explicitly removed from the database so the space needed for the thumbnail is still occupied on disk but cannot be reused. Running a database optimization will clean up the database and remove all those not-needed-anymore thumbnails.

You can also completely wipe out the database. Of course, if you have not disabled the thumbnail caching then cam2pc will immediately recreate the database file to store new thumbnails. If you delete a database and have not disabled the caching, then cam2pc will ask you if you want to disable it or not.

Feeding the database

Having all the thumbnails cached in the database speeds up considerably their update in the Image Browser. But the database is only filled when you browse a folder in the Image Browser. You can choose to feed the database by forcing it to find all the pictures located in a folder and its subfolders automatically. Use the Catalog Images from the Tools menu for this. Select a folder and click the Start button. All the images found in this folder will be added to the database. Next time you access one of these images in the Image Browser, then all the thumbnails and EXIF data (for the Details view) will be available much faster!


Offline contents

The cam2pc Image Browser is only able to show pictures located on your computer (or through the network). Therefore once you have archived some pictures on a CD or a ZIP disk and removed them from your computer, cam2pc is not able anymore to show them to you.

These images are so-called Offline contents. With this feature cam2pc is able to show you the thumbnails of your archived images. After having created a new CD and removed the images from your hard disk, go to the Tools menu and choose Catalog Images. Change the directory to be your CD-ROM drive and click the Start button. At the end of the process you can safely remove the CD or ZIP from its drive.

When you are done, close the dialog and check the "Offline contents" item in the tree (it should be the last item so scroll down if needed). Expand this item and you should see your CD listed under the name you gave it when burning it. If you expand the CD you should see all the folders located on your CD and if you select one of them you should see thumbnails for all the images located on your CD. And this without having to insert the CD in the drive!

Of course there is not much things you can do because cam2pc only stored thumbnails of the pictures and not the pictures themselves so you do not have access to any of the features that modify pictures (plus the fact that a CD is generally read-only). But if you want to see one of these images fullscreen then cam2pc will prompt you to insert the right CD and can start a slideshow for instance as soon as the CD is inserted!


The Album

The album is an image (or movie) container which is the starting point for creating stuff from your images or sharing your images. The album allows you to gather images and video files from different directories and produce content out of them like:

  • Easily send pictures by mail
  • Produce a standalone slideshow
  • Create web galleries of your images
  • Create videos

Managing the content of the album is really easy. Select images you want to add to the album in the Image Browser window and simply hit the * key. The selected images will be added to the album and the album window will be automatically displayed. If you want to remove images from the album simply select them in the Browser or in the Album window and hit the / key. It is recommended to use the * and / keys on your numeric keypad for an easier usage. You also have a command to empty the Album at once.

Images in the Album can be reorganized simply by selecting and dragging them. A vertical line constantly indicates the new position of the dragged images if you release the mouse button.

Once images are in the Album, then simply choose one of the albums command in the Album menu or hit one the buttons on the toolbar of the Album window. Slideshow album simply displays the images of the album in a full-screen slideshow. If you want to build such a slideshow and be able to share it with friends then choose Build Slideshow from Album.

If images are selected in the album window then only these images will be used to perform the next Album operation. This allows you, for instance, to send only some images of an album by mail.

Resize album allows you resize all the images of the album with the same settings. Used in conjunction with the fact the Resize tool can be told to output all the images in the same folder, this is an ideal way of preparing images before publishing them on the Web or whatever.


Loading and saving albums

Albums are set of images that you can use to create content from or just use to categorize your pictures. By default you work on an unnamed album. Saving an album is just a matter of giving a name to your album. Just hit the save button in the album window toolbar and give a name to your album. Right after you saved it, you can see that the title of the Album window has been updated and reflects the fact that you are now editing this new album:

Caution: albums work in autosave mode. Every change you make to an album is automatically saved and there is no way you can undo changes.

If you want to create a new album click the new album button and you will get a new unnamed empty album.

To load one album simply click the Load album button. A list of all your albums will be displayed. Double-click to load the one you want. For quicker access you can choose to always the display the album list. Go to the View or Album menus and choose the display the list here. Once the list is displayed, loading an album is just a matter of clicking on its name in the list.

If you want to add an image to one of your albums without having top load it, look in the contextual menu of the Image Browser once you have selected one or several images. The menu "Add Image To Album" should give you the choice of adding the image to the current album but will also list your existing albums so you can add the images directly to this album. Only the first 10 albums are displayed. If you have more than 10 albums then choose the last option and a window showing all your albums will popup. Double-click the one you want to add the images to.

More album management options can be found at the top of the Album menu.


Building a slideshow

There are times that you may want to share pictures with your family and friends but do not want to worry if the recipient will have the right tools installed on his PC to see your pictures. Then building a standalone slideshow is the solution. When you choose this option, cam2pc will package in single executable file all what is needed for someone to see your pictures: a full-screen viewer program and of course all your images. Send this single file by mail and you are sure that your family will see your pictures as you intended to.

You can also pack your images in an Acrobat PDF file. This option might be useful if the people who you send the images to own a Macintosh and will therefore not be able to read a Windows program file. Finally you can also create a screensaver with your album.

Images in a slideshow must be in JPEG format (this is done to reduce the size of the final file). So you have to at least convert all your images to JPEG. You may also want to resize them to reduce the final file size as much as possible.

In both cases you can set the JPEG Quality (0 means low quality and small file size, 100 means high quality and big file size). If you are not sure how a JPEG Quality setting really affects the viewing quality simply enter the desired value and hit the Preview button. Your images will be displayed full-screen with the exact Quality setting you have set. Hit Page Up and Page Down to cycle through your images and Escape to leave the Preview. Note that when you leave the Preview the Total Size field will have been updated. If you want to refresh the file size without previewing the result hit the Refresh button.

If you choose to Resize anc Convert to JPEG then you will also have to set the final image size. The size you specify is always the largest dimension of your image. So if you have a 800x600 pixels image and you specify 640 for the new size, it will be resized to 640x480. If the image was 600x800 it would have been resized to 480x640. Carefully choosing the resize size and the JPEG Quality will maximize the viewer's experience while minimizing the slideshow file size.

You can also choose if you want to use transitions or not. If you activate transitions you can choose which transitions are active. For more details on transitions please refer to the slideshow page of the Image viewer section.

For a really neat slideshow, you can also add a background music that will be played while the images are displayed. Click the checkbox and browse for a sound file. Of course the MP3 format is recommended as MP3 files are much smaller than Wave files but keep in mind then a single song on MP3 weighs around 4MB so it is no negligible download time on a standard modem.


Mailing the album

Mailing the album allows you to send your favorites pictures to your family and friends without worrying about the total size of your mail and the time that it will take them to download your pictures. In a few clicks, you can customize the size and compression of the attached images, check for the total size of your mail and even check the image quality!

When sending mails you have two options: use your default mail client if one is installed or send mails directly from cam2pc. Sending mails from cam2pc requires to have a SMTP account. SMTP is the basic protocol for sending mails on the Internet. Your ISP should have given you the necessary details to configure Outlook or Outlook Express and you can enter the exact same values in the Options of cam2pc to configure the mail. cam2pc also has the ability to scan your PC for Outlook and Outlook Express mail accounts therefore making cam2pc configuration a single click away!

The mail interface allows you to pick recipients in your Address Book and enter your message text. By default the mail sent is in HTML format and therefore you can use bold, italic... texts, change the fonts and use colors. If you prefer to switch to Plain Text format then all these attributes won't be available.

Attaching images is done automatically by cam2pc. You can choose to attach the images as they are (make sure the final mail size stays reasonnable) or convert them to JPEG or convert and resize them to JPEG. The set of options is the same as when building a slideshow and the mail interface works basically the same. So please refer to Building a slideshow for details.


Creating web galleries

Being able to put your images on the web is the nicest way to share your pictures with family and friends. In cam2pc you have two different ways to create a web gallery:

  • Instant Web Gallery: creates web galleries based on predefined templates. The number of parameters you can change is very limited.
  • Custom Web Gallery: create web galleries that fit your needs precisely. Everything is customizable so that your web gallery nicely integrates in your web design.
INSTANT WEB GALLERIES

When you open the Instant Web Gallery dialog the first thing to do is to choose the style of gallery you want to use. You can browse through the styles and watch the preview to make your choice. Also do not forget to check this page to see if more styles are available.

Once you have chosen your style, you have to tell cam2pc where it shoudl create the gallery. Pick any folder as the root folder and then give a site folder name: cam2pc will create a subfolder using that name in the root folder you specified. For instance if you chose "C:\My Documents" as the root and you type "My Gallery" in the site folder then the gallery will be created in "C:\My Documents\My Gallery".

Next give a title to the gallery. This will be used in all the pages.

The rest of the options are self explanatory: slideshow, thumbnails size and image size. The gallery creation does not take luch time so do not hesitate to play with those settings.

The color options might not be available for all styles. Styles with a background image for instance do not allow you to change the colors so that everything stays readable.

CUSTOM WEB GALLERIES

You should really use this feature if you know what you are doing and have some knowledge of HTML. If you do so, most of the options here will appear clear to you so I am only going to give details on some of them.

    General tab

      Gallery title: you have the option to display this title in the indexes pages of your gallery. It will also be used to create the <TITLE> tag of all the pages of your gallery.

      Home URL: will be used for the Home button that can appear in the navigation bar that you can display in index and image pages.

      Colors: define the colors of the page but will also be used to create the drop shadow effect if you choose to have one.

    Images tab

      Sizes: this define how thumbnails and images will be created. The size specified corresponds to the size of the largest dimension. There is no way in cam2pc to break the aspect ratio of your images.

    Index 2 tab

      Use template: you can have cam2pc create the index embedded directly into your page. This also to create web galleries that match your web design without any hassle. For this, prepare a page a put a dummy <cam2pcIndex> tag wherever you want to the index to appear. cam2pc will parse your template and keep all the other HTML code simply replacing this tag by the code for the index. You can also put the <cam2pcTitle> to put the gallery title.

    Pages tab

      Use template: this works exactly the same as the template for indexes. Of course, you can use a separate template for index and image pages. The dummy tag to use here is <cam2pcImage>.


Creating video files

Creating video files is another exciting way to share your images with your family and friends. cam2pc is able to merge images, videos and background music into a single standard video file. The following formats are available: AVI, MPEG-1 and QuickTime. When creating an AVI or a QuickTime file you can choose whichever codec (program that compresses video sequences) installed on your machine. For instance you can easily create a DivX video as long as you have the DivX codec installed on your machine. Rest assured, a number of codecs are provided by default with Windows so you do not need to download additional components to produce video content from cam2pc.

After having displayed the dialog, choose the type of file you want to create. If you select AVI, then choose the video and audio codecs you want to use. Click the Options button to configure the settings of the chosen codecs. The MPEG-1 format does not support any compression option. If you choose QuickTime, click the Options buttons to access the list of codecs available.

When creating MPEG-1 or QuickTime videos, cam2pc needs to produce an uncompressed AVI version of your video before converting it to the final format. Please keep in mind that this may require much more disc space that when creating an AVI video. If the process fails, please check your available disc space.

Then choose the size of your video file and its framerate. A framerate of 15 is generally a good value. 24 matches the framerate of cinema while 25 matches TV's framerate.

Next step is to setup the soundtrack of your video file. You have several possibilities. First is to create a mute video. Next one is to use only the soundtrack of the included video files and to have no sound when still images are displayed. The final step is to mix soundtracks of included video files and additional sound files. When displaying still images, only the sound files will be played. When video files are displayed then you can adjust the mixing level between the soundtracks and the sound files. If you move the slider to the far left, the sound files will not be heard. If you move the slider to the far right, the videos soundtracks will not be heard. Any setting in between will produce a mix of the two. You can use as many sound file as you want: as soon as the first file is finished, cam2pc will use the next one. When the last sound file is finished, cam2pc will go back to the first one.

Finally, as when producing a slideshow, you can set the delay between the images and set transitions options. The transitions available here are not the same as the one available when creating a slideshow. The transitions listed here are the ones made available by DirectX.


The Image Viewer

The full-screen viewer is the best place to display your images.

You get in the full-screen viewer when you double click a thumbnail in the Image Browser or when you select the View Full-Screen option.

If you associated image files with cam2pc then double clicking an image file in Windows Explorer also brings the full-screen viewer.

Once in full-screen mode, you can use the following keys to navigate through the images in your folder:

  • Page Up or Space to go to the next image
  • Page Down or Backspace to go to the previous image
  • Home to go to the first image
  • End to go to the last image

If you are displaying the last image of a folder and you press the Next image key, then cam2pc will display the first image of the folder and a little green icon will appear during one second in the upper-right corner of the screen.

For more options, right click anywhere to display a contextual menu with all the options available. You will notice that some commands that were available in the Image Browser are also available here (EXIF metadata, Delete Image...).

To leave the full-screen viewer, simply press the Escape key.


Display options

The full-screen viewer supports a numerous set of options. One of the more important is the High Quality scaling which is enabled by default. It makes the viewing of image slightly slower but dramatically improves display quality. Check this sample to get an idea: this image is slightly bigger than my display. To display it full-screen it therefore has to be scaled down a bit. On the left is a crop without the HQ scaling. On the right is the same crop with the HQ option on... See for yourself!

Other options include zooming, automatic fitting to the screen and much more. Zooming is done with the + and - keys. Once you have zoomed to a point where the image is larger than your display then you can move the image with the arrow keys or by dragging the image.

The default options should be okay for most users. If you want to change them you probably know what you are doing... One remark: it is not recommended to enable auto-fitting and enlarge as this will display any image (even very small images) full-screen which could lead to a very poor display.

You can also display file information over the image. There are different levels of information you can display. You can toggle the display by pressing the I (as in 'I am') key. You can change the foreground color and the background mode in the Options dialog. If the color chosen is not readable for a particular image you can try to cycle thru different colors with the C key.

Lastly, if you want to inspect the color of a particular pixel, select the "Toggle Pixel-Under-Cursor Display" option in the contextual menu. The color of the pixel under the cursor will be displayed in the lower left corner of the screen. Move the cursor over the image to inspect other pixels.


Slideshow

To enable the slideshow mode simply press the S key. This will display all your images switching from one image to the next automatically after some delay. During a slideshow, an icon appears in the upper right corner of the screen.

You can change some options by going to the Slideshow tab of the Options dialog. You can change the delay between images, set the random order... You can also pick your favorite MP3 file and have cam2pc play it during the slideshow!


Wallpapering

cam2pc has the ability to set any image as your desktop wallpaper. This option is available in the Image Browser and in the full-screen viewer.

One other interesting option is the possibility to have cam2pc regularly update your desktop wallpaper with an image randomly picked in a folder.

You can enable this in the Wallpaper tab of the Options dialog. Set the time between two updates (in hour/minute/second), select a folder and enable the recursive option if you want cam2pc to take all the sub-folders into account.

Please note that this option requires the cam2pc tray icon to run permanently on your PC.


Credits

Sierra Imaging chipset support thanks to the photopc-usb library available at http://www.math.ualberta.ca/imaging/.

EXIF metadata support thanks to the metacam library available at http://www.cheeseplant.org/~daniel/pages/metacam.html.

Thanks to P.J. Naughter for all the Visual C++ components he makes available on his webpage.

Thanks to all the others who wrote stuff they published at http://www.codeproject.com and http://www.codeguru.com that I used...

Thanks to Samy and Frag for all the feedback on the software... Thanks to all who donated to support cam2pc.

Thanks to Marjolaine for letting me do this :-)


Cropping

cam2pc is also able to crop your images. While displaying an image choose the Crop option from the popup menu. The cursor should change indicating that the cropping mode is engaged. Now click and drag around the part of the image that you want to keep. cam2pc will darken the part of the image that will be discarded and indicates the size of the defined crop area. You can edit the crop area by dragging the various handles located around it.

Once you are satisfied with the area, right-click and select the Crop option. cam2pc will ask you for a filename to save the cropped image. You can change the file format of the new image. If you select JPEG then you will be asked for the JPEG Quality. Choose 100 for a minimum compression resulting in the best image quality.

When the image you are cropping is a JPEG file, cam2pc is able to do lossless compression. Lossless compression means that the cropped image will not be recompressed resulting in image detail loss. Instead cam2pc will simply extract the compressed information from the original image and rewrite exactly identical in the new file. Therefore, you will not be prompted for the JPEG quality of the new file as there is no recompression happening. To be able to do this, the cropping are must match certain criterions that depend on the original file. If you select Lossless crop in the contextual menu then the area will be adjusted to match those criterions. If you want to check those adjustments before cropping you can select the "Adjust crop area for lossless cropping" in the contextual menu.


Assembling a panorama

Assembling a panorama requires Stitcher EZ from REALVIZ. REALVIZ is the leading company in professional panorama creation softwares and Stitcher EZ is the consumer version of their Stitcher software. Stitcher EZ brings you the the professional quality of Stitcher®, together with the simplicity of a full automatic mode.

If Stitcher EZ is installed (be it the trial or registered version), then cam2pc will send the pictures of your album directly to Stitcher EZ. Simply select the type of project in Stitcher EZ and all the images of your albums will be automatically loaded. You just have to hit the Process button to assemble your panorama!